<?php

/**
 * $argv[0] => Current file name: "genOAccCustom.php"
 * $argv[1] => Organization ID
 */

if(empty($argv[1])) {
    echo "File not created. Organization ID not informed.\n";
} else if($argv[1] == 'SAAS') {
    echo "File not created. SaaS Organization!\n";
} else {
    require __DIR__ . '/../bootstrap.php';
    $instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
    /** @var \Services\Login $loginService */
    $loginService = $instanceManager->getService('Services\Login');
    $loginService->genOAccCustom($argv[1]);
}