function LSDataSourceUtilities(requestDataSourceEngine){

    this.setDataSource = function(name, dataSource){
        if( ! Array.isArray(dataSource)){
            throw console.error("dataSource needs to be an array.");
        }

        dataSource.forEach(function(data){
            data.changed = true;
        });

        return requestDataSourceEngine.setDataSource(name, dataSource);
    };

    this.getDataSource = function(name, dataSource){
        if( ! Array.isArray(dataSource)){
            throw console.error("dataSource needs to be an array.");
        }

        dataSource.forEach(function(data){
            data.changed = true;
        });

        return requestDataSourceEngine.getDataSource(name, dataSource);
    };
   
}

Configuration(function(ContextRegister){
    ContextRegister.register('LSDataSourceUtilities', LSDataSourceUtilities);
});
